re:FC2 location of GPG keys

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



--- Satish Balay <[email protected]> wrote:
> 
> 
> On Fri, 16 Jul 2004, John Cox wrote:
> >
> > Results:
> >
> > a109b1ec-3f6e28d5 gpg(Livna.org rpms <[email protected]>)
> > 8df56d05-3e828977 gpg(Fedora Linux (RPMS) <[email protected]>)
> > 8df56d05-3e828977 gpg(Fedora Linux (RPMS) <[email protected]>)
> > 8df56d05-3e828977 gpg(Fedora Linux (RPMS) <[email protected]>)
> > 8df56d05-3e828977 gpg(Fedora Linux (RPMS) <[email protected]>)
> > a109b1ec-3f6e28d5 gpg(Livna.org rpms <[email protected]>)
> > 8df56d05-3e828977 gpg(Fedora Linux (RPMS) <[email protected]>)
> >
> > As you can see I have multiple copies installed. When I try to yum
> > install anything from fedora.us I get the "wrong GPG" key error.
> Could
> > the multiple copies be causing this? Yum was working ok last week.
> Not
> > sure what happened.
> 
> Which package gives errors? Details/logs always useful.
> 
> Perhaps the error is on Fedora Core package - not Fedora.us package.
> 
> rpm --import /usr/share/doc/fedora-release-2/RPM-GPG-KEY
> rpm --import /usr/share/doc/fedora-release-2/RPM-GPG-KEY-fedora
> 
> > How can I get rid of the copies? man rpm suggests using rpm -e but
> that
> > says I don't have an installed package.
> 
> rpm -e gpg-pubkey-a109b1ec-3f6e28d5
> rpm -e gpg-pubkey-8df56d05-3e828977
> rpm -e gpg-pubkey-8df56d05-3e828977
> rpm -e gpg-pubkey-8df56d05-3e828977
> rpm -e gpg-pubkey-8df56d05-3e828977
> 
> Satish
> 
> 
> -- 
> fedora-list mailing list
> [email protected]
> To unsubscribe: http://www.redhat.com/mailman/listinfo/fedora-list
> 

This is what I get with yum update:

[[email protected] pkands]# yum update
Gathering header information file(s) from server(s)
Server: Fedora Core 2 - i386 - Base
Server: Fedora.us Extras (stable)
Server: Fedora.us Extras (testing)
Server: Fedora.us Extras (unstable)
Server: Livna.org Fedora Compatible Packages (stable)
Server: Livna.org Fedora Compatible Packages (testing)
Server: Livna.org Fedora Compatible Packages (unstable)
Server: macromedia.mplug.org - Flash Plugin
Server: Fedora Core 2 - i386 - Released Updates
Finding updated packages
Downloading needed headers
amule-0-2.0.0-0.lvn.0.4.r 100% |=========================| 6.4 kB   
00:01
xchat-amule-0-2.0.0-0.lvn 100% |=========================| 1.9 kB   
00:00
Resolving dependencies
.Dependencies resolved
I will do the following:
[update: fam 2.6.10-9.FC2.i386]
[update: fam-devel 2.6.10-9.FC2.i386]
[update: ethereal 0.10.5-0.2.1.i386]
I will install/upgrade these to satisfy the dependencies:
[deps: libselinux-devel 1.11.4-1.i386]
Is this ok [y/N]: y
Downloading Packages
warning: rpmts_HdrFromFdno: V3 DSA signature: NOKEY, key ID 4f2a6fd2
Error: Could not find the GPG Key necessary to validate pkg
/var/cache/yum/updates-released/packages/fam-2.6.10-9.FC2.i386.rpm
Error: You may want to run yum clean or remove the file:
 /var/cache/yum/updates-released/packages/fam-2.6.10-9.FC2.i386.rpm
Error: You may also check that you have the correct GPG keys installed



[Index of Archives]     [Current Fedora Users]     [Fedora Desktop]     [Fedora SELinux]     [Yosemite News]     [Yosemite Photos]     [KDE Users]     [Fedora Tools]     [Fedora Docs]

  Powered by Linux